### Method

# EDataServerUI4 CredentialsPrompterImpl prompt_finish

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_impl_prompt_finish (
      ECredentialsPrompterImpl* prompter_impl,
      gpointer prompt_id,
      const ENamedParameters* credentials
    )

#### Description [src]

The actual credentials prompt implementation finishes a previously started credentials prompt `prompt_id` with ECredentialsPrompterImplClass::process_prompt() by a call to this function. This function should be called regardless the prompt was or was not cancelled with e_credentials_prompter_impl_cancel_prompt(). Once the prompt is finished another queued is started, if any pending exists. Use `NULL` `credentials` for cancelled prompts, otherwise the credentials are used for authentication of the associated `ESource`.

Available since: 3.16

#### Parameters

`prompt_id`

  Type: `gpointer`

  A prompt ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`credentials`

  Type: `ENamedParameters`

  Credentials to use; can be `NULL` for cancelled prompts.

  The argument can be `NULL`.
  The data is owned by the caller of the method.